Subject: Re: bug#69319: Unbootable, unfixable system

From: Hilton Chain <[email-masked]>
Date: Sun, 25 Feb 2024 17:47:07 +0800

Hi Nathan

On Sun, 25 Feb 2024 13:20:06 +0800,
Nathan Dehnel wrote:
>
> On Sat, Feb 24, 2024 at 8:59 PM Hilton Chain <[email-masked]> wrote:
> >
[...]
> > GRUB currently doesn't support Argon2 PBKDFs, if you are going to use LUKS2, you
> > have to specify pbkdf2:
> > --8<---------------cut here---------------start------------->8---
> > cryptsetup --type=luks2 --pbkdf=pbkdf2
> > --8<---------------cut here---------------end--------------->8---
> >
> > In case it's needed, I packaged a GRUB variant with Argon2 support and its
> > bootloader definition in my channel:
> > https://github.com/rakino/Rosenthal/blob/trunk/rosenthal/packages/bootloaders.scm
> > https://github.com/rakino/Rosenthal/blob/trunk/rosenthal/bootloader/grub.scm
> >
> > I re-installed my system with this GRUB variant (also intended to test it)
> > recently, and it works just fine.
> >
> > I think this bug can be closed now?
>
> I tried that and it didn't work, I had to use --type=luks1

Then it might be because the ‘luks2’ module is not automatically installed to
GRUB's core image.  This should be fixed in GRUB 2.12, but we are still shipping
2.06...